summaryrefslogtreecommitdiff
path: root/dev-python/markdown2
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-12-02 13:41:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-12-02 13:41:39 +0000
commita80446d8f6efb842585a87ae2e69b1fe99b2e3d4 (patch)
tree9e524b581974a6437ebaebaa64587f25e2c71bc3 /dev-python/markdown2
parent3aa206b4455b83dcdcc08a12da863f3eb7f8b0ab (diff)
downloadbaldeagleos-repo-a80446d8f6efb842585a87ae2e69b1fe99b2e3d4.tar.gz
baldeagleos-repo-a80446d8f6efb842585a87ae2e69b1fe99b2e3d4.tar.xz
baldeagleos-repo-a80446d8f6efb842585a87ae2e69b1fe99b2e3d4.zip
Adding metadata
Diffstat (limited to 'dev-python/markdown2')
-rw-r--r--dev-python/markdown2/Manifest1
-rw-r--r--dev-python/markdown2/markdown2-2.4.2.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/markdown2/Manifest b/dev-python/markdown2/Manifest
index d7fcea79d25e..2dbb28a94137 100644
--- a/dev-python/markdown2/Manifest
+++ b/dev-python/markdown2/Manifest
@@ -1 +1,2 @@
DIST markdown2-2.4.1.tar.gz 97089 BLAKE2B 62506be323a0c05060e5922b4eafbe1d0f6c2d9f81348fe5e35af8a577e0d7c26ba56cfa727fc1bb13dc3d08e7a8fe183d9ad91746dfc7a0034d025ff91c1bb9 SHA512 fa62640a135bb01b2dc82f658089c5880a3183c3b6e498ce76a27075d3045d70d7e00b9d497180a63c00cbd9ece83ebabaa8cd31ee326160d891fb422f43528e
+DIST markdown2-2.4.2.tar.gz 96270 BLAKE2B 63808f2b6e8af25eca047e7b24a7ab7ce7afc35fa10aff57b93952cefae765ae8746300f6e93033be87aa73607249198cdfd4fa6e3b3aed711e80d9dc7a006ab SHA512 8c41617213ae8a2d02a986489756d511ee7e1ae970eef348f68808439feaef099ef935ea0a2c31cb9e9abe39899a24fd981a29b7c90d1f8096ba999506121e60
diff --git a/dev-python/markdown2/markdown2-2.4.2.ebuild b/dev-python/markdown2/markdown2-2.4.2.ebuild
new file mode 100644
index 000000000000..9422202c45a5
--- /dev/null
+++ b/dev-python/markdown2/markdown2-2.4.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Python Markdown language reimplementation"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="https://github.com/trentm/python-markdown2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_test() {
+ cd test || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" -m unittest test_markdown2.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}